#ifndef SDLVIDEOOUTPUT_H_
#define SDLVIDEOOUTPUT_H_

#include "mediaUnit.h"
#include "theoraVideoPacket.h"
#include "videoInfo.h"

#include <SDL/SDL.h>

class SDLvideoOutput : public MediaUnit
{
 protected:
  SDL_Surface *screen;
  SDL_Overlay *yuv_overlay;
  SDL_Rect     rect;

  VideoInfo    videoInfo;

 public:
  SDLvideoOutput();
  SDLvideoOutput(VideoInfo& info);
  virtual ~SDLvideoOutput();

  void init(VideoInfo& info);

  SDLvideoOutput& operator<<(TheoraVideoPacket packet);

};

#endif /*SDLVIDEOOUTPUT_H_*/
